summaryrefslogtreecommitdiff
path: root/include/texlive.sh
diff options
context:
space:
mode:
Diffstat (limited to 'include/texlive.sh')
-rw-r--r--include/texlive.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/include/texlive.sh b/include/texlive.sh
new file mode 100644
index 0000000..a13b2d0
--- /dev/null
+++ b/include/texlive.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+source /eng/ssb/auto/astroconda/include/sysinfo.sh
+
+TL_HOME=/eng/ssb/sw/texlive
+
+# Be realistic - I already know what's in there... 32/64-linux
+if [[ $sysinfo_platform != Linux ]]; then
+ echo "FATAL: $TL_HOME does not contain libraries for your platform."
+ exit 1
+fi
+
+TL_PLATFORM=`$TL_HOME/install-tl --print-platform`
+export PATH="$TL_HOME/bin/${TL_PLATFORM}:$PATH"
+
+if [[ `which latex` != $TL_HOME/* ]]; then
+ echo "WARNING: TexLive is not where we wanted it to be! $TL_HOME may be broken or missing."
+else
+ echo "Using TexLive: $TL_HOME"
+fi
+
+